import { OnInit } from '@angular/core';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
export declare class AddMoreFieldComponent implements OnInit {
    fb: FormBuilder;
    /**
     * @description
     * Edit data to populate form during edit.
     */
    data: any;
    /**
    * @description
    * Contain FormArray to save options
    */
    selectBoxOptions: FormArray;
    /**
     * @description
     * Validator Form
     */
    validatorForm: FormGroup;
    /**
     * @param FormBuilder
     * @description
     * Contructor to inilazie the values
     */
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    /**
     * @description
     * Set the form fields
     */
    setForm(): void;
    /**
     * @description
     * DropDown compare values for default section
     */
    compareFn(o1: any, o2: any): boolean;
    /**
     * @description
     * Method to Added/Edited  custom field
     */
    saveData(): any;
    /**
     * @description
     * Method to remove  custom field form
     */
    closeCustomFieldForm(): any;
    /**
     * @description
     * Method to REMOVE Option
     */
    removeOption(index: number): void;
    /**
     * @description
     * Method to add Option
     */
    addMoreOption(): void;
}
